Package com.google.android.exoplayer2.source.smoothstreaming.manifest

## Class SsManifest.ProtectionElement

- java.lang.Object
- - com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifest.ProtectionElement

- Enclosing class:
    SsManifest

      public static class SsManifest.ProtectionElement
      extends Object

  Represents a protection element containing a single header.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `data` |
    `TrackEncryptionBox[]` | `trackEncryptionBoxes` |
    `UUID` | `uuid` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProtectionElement​(UUID uuid, byte[] data, TrackEncryptionBox[] trackEncryptionBoxes)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public final UUID uuid

    - #### data

          public final byte[] data

    - #### trackEncryptionBoxes

          public final TrackEncryptionBox[] trackEncryptionBoxes

  - ### Constructor Detail

    - #### ProtectionElement

          public ProtectionElement​(UUID uuid,
                                   byte[] data,
                                   TrackEncryptionBox[] trackEncryptionBoxes)